# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXVisitorCountIDs Class Reference

Counts the number of occurrencies of each ID. More...

`#include <VLXVisitorCountIDs.hpp>`

Inheritance diagram for vl::VLXVisitorCountIDs:

List of all members.

## Public Member Functions

| VLXVisitorCountIDs ()
virtual void | visitStructure (VLXStructure *obj)
virtual void | visitList (VLXList *list)
virtual void | visitArray (VLXArrayInteger *)
virtual void | visitArray (VLXArrayReal *)
void | setIDSet (std::map< std::string, int > *uids)
std::map< std::string, int > * | uidSet ()
const std::map< std::string, int > * | uidSet () const

## Detailed Description

Counts the number of occurrencies of each ID.

If an ID is occurring more than 1 it means that belongs to a VLXStructure which is referenced by somebody.

Definition at line 43 of file VLXVisitorCountIDs.hpp.

## Constructor & Destructor Documentation

vl::VLXVisitorCountIDs::VLXVisitorCountIDs | ( | ) | `[inline]`

Definition at line 48 of file VLXVisitorCountIDs.hpp.

## Member Function Documentation

virtual void vl::VLXVisitorCountIDs::visitStructure | ( | VLXStructure * | obj ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 50 of file VLXVisitorCountIDs.hpp.

References vl::VLXList::acceptVisitor(), vl::VLXStructure::acceptVisitor(), vl::VLXValue::getID(), vl::VLXValue::getList(), vl::VLXValue::getStructure(), vl::VLXValue::ID, vl::VLXVisitor::isVisited(), vl::VLXValue::List, vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::uid(), vl::VLXStructure::Value::value(), and vl::VLXStructure::value().

virtual void vl::VLXVisitorCountIDs::visitList | ( | VLXList * | list ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 77 of file VLXVisitorCountIDs.hpp.

References vl::VLXValue::ID, vl::VLXVisitor::isVisited(), vl::VLXValue::List, vl::VLXValue::Structure, vl::VLXList::value(), and vl::Log::warning().

virtual void vl::VLXVisitorCountIDs::visitArray | ( | VLXArrayInteger * | ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 116 of file VLXVisitorCountIDs.hpp.

virtual void vl::VLXVisitorCountIDs::visitArray | ( | VLXArrayReal * | ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 118 of file VLXVisitorCountIDs.hpp.

void vl::VLXVisitorCountIDs::setIDSet | ( | std::map< std::string, int > * | uids ) | `[inline]`

Definition at line 120 of file VLXVisitorCountIDs.hpp.

Referenced by vl::VLXSerializer::saveVLB(), and vl::VLXSerializer::saveVLT().

std::map< std::string, int >* vl::VLXVisitorCountIDs::uidSet | ( | ) | `[inline]`

Definition at line 122 of file VLXVisitorCountIDs.hpp.

const std::map< std::string, int >* vl::VLXVisitorCountIDs::uidSet | ( | ) | const`[inline]`

Definition at line 124 of file VLXVisitorCountIDs.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXVisitorCountIDs.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:19.
Permission is granted to use this page to write and publish articles regarding Visualization Library.